framework:
    workflows:
        registro:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Registro\RegistroAspirante
            initial_marking: Iniciado
            places:
                - Iniciado
                - Adjuntos
                - Correo
                - Escuela
                - Rechazado
                - Confirmado
                - Confirmado_escuela
                - Vencido
            transitions:
                adjuntos:
                    from: Iniciado
                    to:   Adjuntos
                notificar:
                    from: Adjuntos
                    to:   Correo
                confirmar:
                    from: Correo
                    to:   Confirmado
                ver_escuela:
                    from: Correo
                    to:   Escuela
                acepta_escuela:
                    from: Escuela
                    to:   Confirmado_escuela
                rechaza_escuela:
                    from: Escuela
                    to:   Rechazado
                vencio:
                    from: Iniciado
                    to:   Vencido
        usuario:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\SsoUser
            initial_marking: HABILITADO
            places:
                - HABILITADO
                - DESHABILITADO
            transitions:
                deshabilitar:
                    from: HABILITADO
                    to:   DESHABILITADO
                habilitar:
                    from: DESHABILITADO
                    to:   HABILITADO
        notificacion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Notificacion\Notificacion
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
                - Eliminado
            transitions:
                guardar:
                    from: Borrador
                    to:   Borrador
                publicar:
                    from: [Borrador, Publicado]
                    to:   Publicado
                despublicar:
                    from: Publicado
                    to:   Borrador
                eliminar:
                    from: Borrador
                    to:   Eliminado
        notificacion_usuario:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Notificacion\NotificacionUsuario
            initial_marking: Publicado
            places:
                - Publicado
                - Enviado_mail
                - Leido
            transitions:
                enviado_mail:
                    from: Publicado
                    to:   Enviado_mail
                leido:
                    from: [ Enviado_mail, Publicado ]
                    to:   Leido